<div class="row">
    <div class="col-xs-12">
        <div class="table-scroller">
            <div>
                <div ng-repeat="errs in self.error_general" class="error-general">
                    <div ng-repeat="(name, err) in errs">
                        {{ name }} : <span ng-repeat="(k, er) in err">{{ er }} </span>
                    </div>
                </div>
            </div>
            <table class="table table-bordered table-import">
                <thead>
                <tr>
                    <th ng-repeat="property in self.properties track by $index">
                        <select class="form-control" style="width: 325px;" ng-model="self.properties[$index]">
                            <option ng-value="null"></option>
                            <?php foreach ($this->inputs as $input) {
                                if ($input->getName() !== 'master') {
                                    echo '<option ng-value="\'' . $input->getName() . '\'" class="' . ($input->isRequired() ? 'required' : '') . '" ng-disabled="self.disableOption($index, \'' . $input->getName() . '\')">';
                                    if (preg_match('/^keywords_/', $input->getName())) {
                                        echo $this->groups[str_replace('keywords_', '', $input->getName())];
                                    } elseif (preg_match('/^custom_fields_/', $input->getName())) {
                                        echo $this->customFields[str_replace('custom_fields_', '', $input->getName())];
                                    } elseif (preg_match('/^wkf_fields_/', $input->getName())) {
                                        echo $this->workflowFields[str_replace('wkf_fields_', '', $input->getName())];
                                    } else {
                                        echo $this->translate($this->entityName . '_field_' . $input->getName()) . ($input->isRequired() ? '*' : '');
                                    }
                                    echo '</option>';
                                }
                            } ?>
                        </select>
                    </th>
                    <th class="fit-content"></th>
                </tr>
                </thead>
                <tbody>
                <tr class="editing" ng-repeat="line in self.lines track by $index" ng-class="{
                                            'danger-border': self.options.isValidated && self.errors[$index]
                                        }">
                    <td ng-repeat="column in line track by $index" ng-class="{
                                            success: !!self.properties[$index] && !self.errors[$parent.$index][self.properties[$index]],
                                            danger: !!self.properties[$index] && !!self.errors[$parent.$index][self.properties[$index]]
                                        }">
                        <input type="text" class="form-control" ng-model="self.lines[$parent.$index][$index]" />
                        <field-errors field="{{self.properties[$index]}}" errors="self.errors[$parent.$index]"></field-errors>
                    </td>
                    <td>
                        <button class="btn btn-default btn-xs" type="button" ng-click="self.deleteLine($index)">
                            <?= $this->icon('delete') ?>
                        </button>
                    </td>
                </tr>
                </tbody>
            </table>
        </div>
    </div>
</div>
